FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202005121847 BUILD_VERSION=v4.3.20 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=20 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.20-202005121847 
ENV __doozer=merge OS_GIT_COMMIT=fdc52de OS_GIT_VERSION=4.3.20-202005121847-fdc52de SOURCE_DATE_EPOCH=1582903304 SOURCE_GIT_COMMIT=fdc52deb46149528f34cda1c85df69b51d65b8ab SOURCE_GIT_TAG=fdc52deb SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/openshift/sriov-network-operator
COPY . .
RUN make _build-manager BIN_PATH=build/_output/cmd

FROM openshift/ose-base:v4.3.20.20200512.184737
ENV __doozer=update BUILD_RELEASE=202005121847 BUILD_VERSION=v4.3.20 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=20 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.20-202005121847 
ENV __doozer=merge OS_GIT_COMMIT=fdc52de OS_GIT_VERSION=4.3.20-202005121847-fdc52de SOURCE_DATE_EPOCH=1582903304 SOURCE_GIT_COMMIT=fdc52deb46149528f34cda1c85df69b51d65b8ab SOURCE_GIT_TAG=fdc52deb SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/cmd/manager /usr/bin/sriov-network-operator
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/manifests /manifests
COPY bindata /bindata
ENV OPERATOR_NAME=sriov-network-operator
CMD ["/usr/bin/sriov-network-operator"]

LABEL \
        io.k8s.display-name="OpenShift sriov-network-operator" \
        io.k8s.description="This is the component that manange and config sriov component in Openshift cluster" \
        io.openshift.tags="openshift,networking,sr-iov" \
        com.redhat.delivery.appregistry="false" \
        maintainer="Multus team <multus-dev@redhat.com>" \
        name="openshift/ose-sriov-network-operator" \
        com.redhat.component="sriov-network-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        version="v4.3.20" \
        release="202005121847" \
        io.openshift.build.commit.id="fdc52deb46149528f34cda1c85df69b51d65b8ab" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/fdc52deb46149528f34cda1c85df69b51d65b8ab"

